{%- extends 'boot/generic-qemu-tmpfs.jinja2' %}
{%- set deploy_to = "tmpfs" %}
{%- set device_type = "qemu" %}
{%- set kernel_image = "bzImage" %}
{%- set device_arch = "x86_64" %}
{%- set sdk_arch = "x86-64" %}
{%- set device_mach = "x86" %}
{%- set qemu_arch = "x86_64" %}
{%- set qemu_args = "-cpu qemu64,+ssse3,+sse4.1,+sse4.2,+popcnt -smp 2 -m 2048 -soundhw hda -device usb-ehci -device virtio-rng-pci" %}
{%- set qemu_cmdline = "console=ttyS0,115200 root=/dev/hda verbose systemd.log_color=false rw fstab=no no_timer_check" %}
{%- set rootfs_type = rootfs_type|default("rootvd") %}
{%- if (build_type == 'daily') or (build_type == 'release') or (build_type == 'snapshot') or (build_type == 'prerelease') %}
    {%- set rfs_image = rfs_image|default("agl-demo-platform-crosssdk-qemux86-64.ext4.xz") %}
{%- else %}
	{%- set rfs_image = rfs_image|default("agl-demo-platform-qemux86-64.ext4.xz") %}
{%- endif %}
